<template>
    <div class="win">
        <div class="border_corner border_corner_left_top"></div>
        <div class="border_corner border_corner_right_top"></div>
        <div class="border_corner border_corner_left_bottom"></div>
        <div class="border_corner border_corner_right_bottom"></div>
        <ul class="tab">
<!--            <li @click='tabTaggle("ECharts")'>实时数据</li>-->
<!--            <li @click='tabTaggle("EChartsHour")'>小时数据</li>-->
<!--            <li @click='tabTaggle("EChartsDate")'>日数据</li>-->
<!--            <li @click='tabTaggle("EChartsDate")'>人工数据</li>-->
            <li :class="active==0?'hover':''" @click='tabTaggle("ECharts",0)'>实时数据</li>
            <li :class="active==1?'hover':''" @click='tabTaggle("EChartsHour",1)'>小时数据</li>
            <li :class="active==2?'hover':''" @click='tabTaggle("EChartsDate",2)'>日数据</li>
            <li :class="active==3?'hover':''" @click='tabTaggle("EChartsTable",3)'>人工数据</li>
        </ul>
        <div class="legend" >
            <span >正常</span>
            <i style=" background: #4ec99c;"></i>
            <span >预警</span>
            <i style=" background: red;"></i>
            <span >超标</span>
            <i style=" background: orange;"></i>
        </div>
        <component :is="currentTab" v-bind="$attrs" ref="Echats"></component>
    </div>
</template>

<script>
import EChartsHour from './echarts/EChartsHour'
import EChartsDate from './echarts/EChartsDate'
import ECharts from './echarts/Echarts'
// import EChartsDate from './EChartsDate'
import EChartsHourWasteWater from './echarts/EChartsHourWasteWater'
import EChartsTable from '@components/BaseNav/PublicBounced/common/echarts/EChartsTable'

export default {
  name: 'PublicChart',
  components: {
    EChartsHour,
    EChartsDate,
    ECharts,
    // EChartsDate
    EChartsHourWasteWater,
    EChartsTable
  },
  updated () {
    this.$refs.Echats.CreateChart()
  },
  data () {
    return {
      currentTab: EChartsHour,
      active: '1'
    }
  },
  methods: {
    tabTaggle (taggleMenu, num) {
      this.currentTab = taggleMenu
      this.active = num
      // debugger
    }
  }
}

</script>

<style scoped lang="less">
.win {
  position: relative;
  background:@background-color;
  border: 0.8px solid #396d83;
}

.border_corner {
  z-index: 999;
  position: absolute;
  width: 10px;
  height: 10px;
  background: rgba(0, 0, 0, 0);
  border: 1.5px solid #47d5ea;
}

.border_corner_left_top {
  top: 0;
  left: 0;
  border-right: none;
  border-bottom: none;
}

.border_corner_right_top {
  top: 0;
  right: 0;
  border-left: none;
  border-bottom: none;
}

.border_corner_left_bottom {
  bottom: 0;
  left: 0;
  border-right: none;
  border-top: none;
}

.border_corner_right_bottom {
  bottom: 0;
  right: 0;
  border-left: none;
  border-top: none;
}

.tab {
  display: flex;
  border-bottom: 1px solid #396d83;
    padding:0.02rem 0.04rem;
}

.tab li {
  background-color: #243a55;
  line-height:0.15rem;
    height: 0.15rem;
  text-align: center;
  border-radius: 5px;
    margin-right: 0.04rem;
    padding:0 0.04rem;
}
.tab li.hover,
.tab li:hover {
  background-color: #0e639e;
  color: #fff;
  cursor: pointer;
}
.legend{
    position: absolute;
    top:0.05rem;
    right: 0;
    display: flex;
    justify-items: center;
}
.legend i {
    display: block;
    width: 0.2rem;
    height: 0.09rem;
    margin:0 0.1rem 0 0.05rem;
    border-radius: 0.02rem;
}
.legend span{
    line-height: 0.09rem;
    height: 0.09rem;
    font-size: 0.06rem;
}

</style>
